apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: svn commit: r659586 - in /apr/apr-util/branches/1.3.x: CHANGES build/dbd.m4 build/dso.m4 configure.in
Date Fri, 23 May 2008 20:08:10 GMT
Joe Orton wrote:
> On Fri, May 23, 2008 at 04:32:27PM -0000, William Rowe wrote:
>> Author: wrowe
>> Date: Fri May 23 09:32:27 2008
>> New Revision: 659586
>> URL: http://svn.apache.org/viewvc?rev=659586&view=rev
>> Log:
>> Abstract "--disable-dbd-dso" into "--disable-util-dso"; since the 
>> prior --enable-dbd-dso is now default, this is a noop for existing 
>> ./config.nice settings, and --disable-dbd-dso was previously the
>> default and therefore unexpected.
> No, -1, these need to be kept separate.
> Enabling the LDAP DSO code by default is unequivocably a source 
> backwards compat break, it must be off by default.  Existing httpd 
> releases will not build as-is against new APR 1.x releases like this.

No - either the platform can, will support dso architecture or it won't.
The dbm, iconv and xml are all obvious targets to pile-on to this.

It does not break backwards compat.  Binary compat of apr[ru]_* -is-
identical. The only compat issue is the one that is pending a [vote].

This patch has nothing to do with the inclusion or exclusion of -lldap,
and it should be preserved as is.

Please focus on the apu-1-config script which is the only place things
have changed behavior.  And we can discuss how it should behave.  But
your veto has nothing to do with your justification for vetoing this
patch, so if you still have a veto to this patch, please restate it.


View raw message